import clsx from 'clsx'

import { TbLoader2 } from 'react-icons/tb'

import { iconStyles, rootStyles } from './Spin.styles'

type SpinProps = {
	className?: string
}

function Spin({ className }: SpinProps) {
	return (
		<span className={clsx(rootStyles, className)}>
			<TbLoader2 className={iconStyles} />
		</span>
	)
}

export { Spin }
